Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.security.torque.om
Class TurbinePermission

    java.lang.Object
      org.apache.torque.om.BaseObject
          org.apache.turbine.services.security.torque.om.BaseTurbinePermission
              org.apache.turbine.services.security.torque.om.TurbinePermission

All Implemented Interfaces:
  Serializable, org.apache.torque.om.Persistent

    public class TurbinePermission

extends BaseTurbinePermission
implements org.apache.torque.om.Persistent

The skeleton for this class was autogenerated by Torque on: [Tue Jun 14 18:58:30 CEST 2011] You should add additional methods to this class to meet the application requirements. This class will only be generated as long as it does not already exist in the output directory.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.turbine.services.security.torque.om.BaseTurbinePermission
`collTurbineRolePermissions`

Fields inherited from class org.apache.torque.om.BaseObject
`NEW_ID`

Constructor Summary
`TurbinePermission()`

Method Summary

Methods inherited from class org.apache.turbine.services.security.torque.om.BaseTurbinePermission
`addTurbineRolePermission, addTurbineRolePermission, copy, copy, copy, copy, copyInto, copyInto, copyInto, copyInto, getByName, getByPeerName, getByPosition, getFieldNames, getName, getPeer, getPermissionId, getPrimaryKey, getTableMap, getTurbineRolePermissions, getTurbineRolePermissions, getTurbineRolePermissions, getTurbineRolePermissions, getTurbineRolePermissionsJoinTurbinePermission, getTurbineRolePermissionsJoinTurbineRole, initTurbineRolePermissions, save, save, save, setByName, setByPeerName, setByPosition, setName, setPermissionId, setPrimaryKey, setPrimaryKey, toString`

Methods inherited from class org.apache.torque.om.BaseObject
`equals, equals, getLog, hashCode, isModified, isNew, resetModified, setModified, setNew, setPrimaryKey`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.torque.om.Persistent
`getPrimaryKey, isModified, isNew, save, save, save, setModified, setNew, setPrimaryKey, setPrimaryKey`

Constructor Detail

### TurbinePermission

    public TurbinePermission()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.